package com.gct.dlview.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author xsr
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="GroupSampleRelation对象", description="")
public class GroupSampleRelation extends Model<GroupSampleRelation> {

    private static final long serialVersionUID=1L;

    private Integer groupId;

    private Integer sampleId;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    private String createUser;

    @ApiModelProperty(value = "样本类型 1：功图 2：其它")
    private Integer sampleType;

    @ApiModelProperty(value = "样本标签1")
    private String sampleTag1;

    @ApiModelProperty(value = "样本标签2")
    private String sampleTag2;

    @ApiModelProperty(value = "样本标签3")
    private String sampleTag3;

    private String remark;

    @ApiModelProperty(value = "版本标签")
    private String versionTag;

    @ApiModelProperty(value = "版本序列号，便于范围查询")
    private Integer versionSerialCode;

    @TableId(type = IdType.AUTO)
    private Integer id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
