package com.gct.dlview.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.dlview.entity.MachineResource;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author lloyd
 * @since 2021-08-13
 */
public interface MachineResourceMapper extends BaseMapper<MachineResource> {

    List<MachineResource> getListByCondition(@Param("condition") MachineResource condition);

    Page<MachineResource> getListByCondition(@Param("page") Page<MachineResource> page, @Param("condition") MachineResource condition);

    List<Map> getFilterByCondition(@Param("condition") MachineResource condition, @Param("column_name") String columnName);
}
