package com.gct.dlview.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.dlview.entity.SampleDiagramInterpretationTemp;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 功图样本解释类别临时表 Mapper 接口
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
public interface SampleDiagramInterpretationTempMapper extends BaseMapper<SampleDiagramInterpretationTemp> {

    List<SampleDiagramInterpretationTemp> getListByCondition(@Param("condition") SampleDiagramInterpretationTemp condition);

    Page<SampleDiagramInterpretationTemp> getListByCondition(@Param("page") Page<SampleDiagramInterpretationTemp> page, @Param("condition") SampleDiagramInterpretationTemp condition);
}
