package com.gct.dlview.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.dlview.entity.TrainTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;
import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author xsr
 * @since 2021-09-08
 */
public interface TrainTaskMapper extends BaseMapper<TrainTask> {
    Page<Map<String, Object>> getTrainTask(Page<Map<String, Object>> page);

    List<TrainTask> getListByCondition(@Param("condition") TrainTask trainTask);

    Page<TrainTask> getListByCondition(@Param("page") Page<TrainTask> page, @Param("condition") TrainTask trainTask);
}
