package com.gct.dlview.thrift.job;

import com.gct.dlview.thrift.ConfigProvider;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;

public class PersistWorker extends QuartzJobBean {
    @Autowired
    ConfigProvider provider;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        provider.flush();
    }
}
