
service TrainServer{

    i32 healthyCheck()

    bool accessApply(1:string trainKey 2:string localPath)

    i32 checkTrainState(1:string trainKey)

    bool isSafetyPoint(1:string trainKey)

    i32 executeStepControl(1:string trainKey,2:i32 nextStep)

    list<string> getLogText(1:string trainKey)

    list<string> getProcessParam(1:string trainKey)

    bool pullTrainStat(1:string trainKey,2:list<string> params,3:list<string> logs)

    i32 canExchangeTrainTask(1:string newTrainKey)

    bool removeTrainTask(1:string trainKey)

    bool setProcessParam(1:string trainKey,2:list<string> params)

    bool setSampleCount(1:i32 num)

    bool transSGTSampleOne(1:string trainKey, 2:list<list<double>> sample,3:i32 tag)

    bool transSGTSampleBatch(1:string trainKey, 2:list<list<list<double>>> samples,3:list<i32> tags)

    bool transSGTSamplePage(1:string trainKey, 2:list<list<list<double>>> samples,3:list<i32> tags,4:i32 curPage,5:i32 pageSize,6:i32 pageTotal)

    bool executeStandard(1:string trainKey)

    bool executeHOGAnalysis(1:string trainKey)

    bool executeTrain(1:string trainKey)
}