package com.gct.dlview.thrift.train;

import com.gct.dlview.entity.TrainTask;
import com.gct.dlview.thrift.DLTrainTask;
import com.gct.dlview.thrift.TaskExecuteStep;

/**
 * dec:
 * <p>
 * TrainStepZero
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/11/8 上午10:43
 */
public class TrainStep0 implements TaskExecuteStep<DLTrainTask, TrainServerWrapper> {
    @Override
    public boolean execute(DLTrainTask task) {

        TrainServerWrapper server = (TrainServerWrapper) serverStorage.get();
        TrainTask actualTaskInfo = task.getTrainTaskCopy();

        if (server.accessApply(actualTaskInfo.getId().toString(), null))
            server.setProcessParam(actualTaskInfo.getId().toString(), TrainParam.init().values());

        return true;
    }
}
