package com.gct.dlview.config;

import com.alibaba.fastjson.JSONObject;
import com.gct.dlview.job.JobDataKey;
import com.gct.dlview.job.MutableTriggerConfigProperties;
import com.gct.dlview.job.TriggerConfigurationProperties;
import org.quartz.*;
import org.slf4j.LoggerFactory;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Date;

/**
 * class name: QuartzTaskConfig
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/5/21 上午10:21
 */
@Configuration
@EnableConfigurationProperties(MutableTriggerConfigProperties.class)
public class QuartzTaskConfig {

    private final MutableTriggerConfigProperties properties;

    public QuartzTaskConfig(MutableTriggerConfigProperties properties) {
        this.properties = properties;
    }


   /* @Bean
    public JobDetail jobDetail1() {
        TriggerConfigurationProperties one = properties.getOne();
        try {
            return JobBuilder.newJob(DgnsGtStandardCalculateTask.class)
                    .withIdentity(one.getJobName(), one.getJobGroup())
                    .usingJobData(JobDataKey.JobName.getDec(), one.getJobName())
                    .usingJobData(JobDataKey.JobGroup.getDec(), one.getJobGroup())
                    .storeDurably()
                    .build();
        } catch (Exception e) {
            LoggerFactory.getLogger(this.getClass()).error("Create JobDetail bean failed:{},jobName->{},jobGroup->{}", e.getMessage(),one.getJobName(),one.getJobGroup());
            throw e;
        }
    }

    @Bean
    public Trigger trigger1() {
        TriggerConfigurationProperties one = properties.getOne();
        System.out.println("one = " + JSONObject.toJSONString(one));
        try {
            SimpleScheduleBuilder scheduleBuilder = SimpleScheduleBuilder.simpleSchedule()
                    .withIntervalInSeconds(one.getIntervalInSeconds());
            if (one.isRepeatable())
                scheduleBuilder.repeatForever();
            return TriggerBuilder.newTrigger()
                    .forJob(one.getJobName(), one.getJobGroup())
                    .startAt(new Date(new Date().getTime() + one.getDelayMilliseconds()))
                    .withSchedule(scheduleBuilder).build();
        } catch (Exception e) {
            LoggerFactory.getLogger(this.getClass()).error("Create Trigger bean failed:{},jobName->{},jobGroup->{}", e.getMessage(),one.getJobName(),one.getJobGroup());
            throw e;
        }
    }*/
}
