package com.gct.dlview.controller;


import com.gct.common.core.result.Result;
import com.gct.dlview.service.SampleDiagramCategoryIndexService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xsr
 * @since 2021-08-12
 */
@RestController
@RequestMapping("/sampleDiagramCategoryIndex")
public class SampleDiagramCategoryIndexController {

    @Autowired
    SampleDiagramCategoryIndexService sampleDiagramCategoryIndexService;

    @PreAuthorize("hasAuthority('sample:query')")
    @GetMapping("/getDefaultList")
    public Result getDefaultList(){
        return Result.ok(sampleDiagramCategoryIndexService.getDefaultList());
    }
}

