package com.gct.dlview.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TestTask对象", description="")
public class TestTask extends Model<TestTask> {

    private static final long serialVersionUID=1L;

    private Integer id;

    private Integer testModelMasterId;

    private Integer testSampleSourceId;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "0:have not  start1:start2:completed")
    private Integer taskState;

    @ApiModelProperty(value = "进度百分比")
    private BigDecimal progressPercentage;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
