package com.gct.dlview.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.dlview.entity.DeepLearnTrainServer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
public interface DeepLearnTrainServerMapper extends BaseMapper<DeepLearnTrainServer> {

    Page<DeepLearnTrainServer> getTrainServerByCondition(@Param("page") Page<DeepLearnTrainServer> page, @Param("condition") DeepLearnTrainServer condition);

    List<DeepLearnTrainServer> getTrainServerByCondition(@Param("condition") DeepLearnTrainServer condition);
}
