package com.gct.dlview.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.gct.dlview.entity.GroupInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 分组信息 服务类
 * </p>
 *
 * @author xsr
 * @since 2021-08-17
 */
public interface GroupInfoService extends IService<GroupInfo> {

    JSONArray getGroupInfoTree();

    String addSubGroup(Integer parentGroupId, String remark, String groupName);

    String deleteGroup(Integer groupId);
}
