package com.gct.dlview.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.dlview.entity.GroupSampleRelation;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author xsr
 * @since 2021-08-17
 */
public interface GroupSampleRelationService extends IService<GroupSampleRelation> {

    String addSampleToGroup(JSONArray sampleList, String tag, String remark, Integer groupId);

    Page<Map<String, Object>> getGroupSample(Integer groupId, String remark, Integer version, Integer curPage, Integer pageSize);

    boolean updateGroupSampleTagSingle(Integer groupId, Integer id, String gk);

    boolean deleteGroupSampleTagSingle(Integer groupId, Integer sampleId);

    List<Map<String, Object>> getGroupCount(Integer groupId);

    boolean updateGroupSampleTag(Integer groupId, String oldTag, String tag);

    boolean deleteGroupSampleTag(Integer groupId, String tag);
}
