package com.gct.dlview.service;

import com.gct.common.core.result.Result;
import com.gct.dlview.entity.MachineResource;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.dlview.entity.vo.PageBody;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lloyd
 * @since 2021-08-13
 */
public interface MachineResourceService extends IService<MachineResource> {

    Result<List<MachineResource>> getListByCondition(MachineResource condition);

    Result<List<MachineResource>> getPageByCondition(PageBody<MachineResource> condition);

    Result<List<Object>> getFiguredFilterByCondition(MachineResource condition, String columnName);

    Result<Boolean> saveMachineResource(MachineResource data);

    Result<Boolean> deleteOne(MachineResource data);

    Result<Boolean> deleteBatch(List<MachineResource> data);

    Result getOneByCondition(MachineResource machineResource);
}
