package com.gct.dlview.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.common.core.result.Result;
import com.gct.dlview.entity.SampleDiagramInterpretationTemp;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.dlview.entity.vo.PageBody;

import java.util.Map;

/**
 * <p>
 * 功图样本解释类别临时表 服务类
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
public interface SampleDiagramInterpretationTempService extends IService<SampleDiagramInterpretationTemp> {

    Result getListByCondition(SampleDiagramInterpretationTemp condition);

    Result getPageByCondition(PageBody<SampleDiagramInterpretationTemp> pageCondition);

    Map<String,Integer> getInterpretationNameIdMap();
}
