package com.gct.dlview.thrift;

import java.io.Serializable;
import java.util.Collection;

public interface CacheProvider<T> {
    Collection<Serializable> getKeys();

    T getValue(Serializable id);

    void updateCache(T config);

    //定时job 入口  刷盘\库 1200ms
    void flush();

    //定时 job 同步缓存 100ms
    void syncMemory();
}
