package com.gct.dlview.thrift;

import com.gct.dlview.entity.TrainTask;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;

public interface PersistProvider {
    void updateRunState(ServerConfig server);

    void updateRunStateBatch(HashMap<Serializable, ServerConfig> serverConfigs);

    /**
     * 将缓存中的task更新到数据库
     * @param trainTask
     */
    void updateTrainTaskBatch(List<TrainTask> trainTask);

    HashMap<Serializable, ServerConfig> getAllConfig();

    HashMap<Serializable, TrainTask> getAllTrainTask();
}
