package com.gct.dlview.thrift;

import org.springframework.context.ApplicationListener;

import java.io.Serializable;
import java.util.List;

/**
 * dec: TaskExecute
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/8/18 下午1:42
 */
public interface TaskExecute<T> {

    boolean pushTask(T task);

    boolean assignServer(T task);

    void pullTaskStat(String key, List<String> params, List<String> logs);
    void asyncPullTaskStat(String key, List<String> params, List<String> logs);


}
