package com.gct.dlview.thrift.train;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * dec:
 * <p>
 * TrainProperties
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/11/10 下午6:48
 */
@Data
@Accessors(chain = true)
@ConfigurationProperties(prefix = "gct.thrift.train-log-server")
public class TrainProperties {
    private int port = 9090;
    private boolean enabled = false;
}
