package com.gct.dlview.thrift.train;

import com.gct.dlview.entity.TrainTask;
import com.gct.dlview.thrift.DLTrainTask;
import com.gct.dlview.thrift.TaskExecuteStep;

/**
 * dec:
 * <p>
 * TrainStepOne
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/11/5 下午5:41
 */
public class TrainStep2 implements TaskExecuteStep<DLTrainTask, TrainServerWrapper> {


    @Override
    public boolean execute(DLTrainTask task) {
        TrainServerWrapper server = (TrainServerWrapper) serverStorage.get();
        TrainTask actualTaskInfo = task.getTrainTaskCopy();
        return server.executeStandard(actualTaskInfo.getId().toString());

    }
}
